2008-06-26  Marcela Mašláňová <mmaslano@redhat.com>

	* man/cron.8, man/crontab.1: Updated manuals - diffent typos and
	inotify support mentioned.

2008-06-26  SATOH Fumiyasu <fumiyas@osstech.co.jp>

	* configure.ac, src/misc.c: Portability: File locking by fcntl,
	lockf or flock  Signed-off-by: Marcela Mašláňová
	<mmaslano@redhat.com>

2008-06-26  SATOH Fumiyasu <fumiyas@osstech.co.jp>

	* src/macros.h, src/misc.c: Bugfix: PATH_MAX is defined in limits.h
	Signed-off-by: Marcela Mašláňová <mmaslano@redhat.com>

2008-06-26  SATOH Fumiyasu <fumiyas@osstech.co.jp>

	* configure.ac, src/popen.c: Portability: Check if sys/cdefs.h is
	there on the platform  Signed-off-by: Marcela Mašláňová
	<mmaslano@redhat.com>

2008-06-23  SATOH Fumiyasu <fumiyas@osstech.co.jp>

	* configure.ac, src/funcs.h, src/macros.h, src/misc.c: Portability:
	Check for struct tm.tm_gmtoff by AC_CHECK_MEMBERS  Signed-off-by:
	Marcela Mašláňová <mmaslano@redhat.com>

2008-06-26  SATOH Fumiyasu <fumiyas@osstech.co.jp>

	* src/funcs.h: Bugfix: Correct log_it() prototype  Signed-off-by:
	Marcela Mašláňová <mmaslano@redhat.com>

2008-06-26  Marcela Mašláňová <mmaslano@redhat.com>

	* src/database.c: Add missing endif.

2008-06-23  Tomas Mraz <t8m@centrum.cz>

	* src/cron.c, src/database.c: Fix the inotify support.

2008-06-23  Tomas Mraz <t8m@centrum.cz>

	* src/crontab.c, src/database.c, src/do_command.c, src/entry.c,
	src/env.c, src/job.c, src/misc.c, src/popen.c, src/pw_dup.c,
	src/user.c: Remove rcsid tags.

2008-06-23  Tomas Mraz <t8m@centrum.cz>

	* src/cron.h, src/security.c: Move macros and static declarations
	where they are needed.

2008-06-23  Tomas Mraz <t8m@centrum.cz>

	* configure.ac: Add check for _GNU_SOURCE.

2008-06-23  Tomas Mraz <t8m@centrum.cz>

	* src/cron.c: Fix wrong declaration of orig_tz.

2008-06-23  Tomas Mraz <t8m@centrum.cz>

	* src/cron.c, src/crontab.c, src/database.c, src/do_command.c,
	src/entry.c, src/funcs.h, src/misc.c, src/popen.c, src/security.c,
	src/user.c: Unification of logging (syslog->log_it).

2008-06-23  Tomas Mraz <t8m@centrum.cz>

	* src/security.c: Fixed call to setkeycreatecon.

2008-05-30  Marcela Mašláňová <mmaslano@redhat.com>

	* configure.ac: Update version also in configure.

2008-05-30  Marcela Mašláňová <mmaslano@redhat.com>

	* ChangeLog: cronie-1.1 released. Updated Changelog.

2008-05-30  Marcela Mašláňová <mmaslano@redhat.com>

	* cronie.init: Init script die faster, if the sysconfig script is
	missing. Patch from scop.

2008-05-29  Marcela Mašláňová <mmaslano@redhat.com>

	* src/database.c: Function instead of macro. Code cleaning.

2008-05-27  Marcela <marca@caladan.englab.brq.redhat.com>

	* man/crontab.1: Man: crontab.1 TMP directory could be set in
	eviroment instead of /tmp.

2008-05-27  Marcela <marca@caladan.englab.brq.redhat.com>

	* src/security.c: Keyring will be created after restart of computer
	and services won't be dying on selinux denial. The reason for this
	change was pam-devels update.

2008-05-27  Marcela <marca@caladan.englab.brq.redhat.com>

	* src/funcs.h, src/security.c: Remove unused function.

2008-05-27  Marcela <marca@caladan.englab.brq.redhat.com>

	* src/cron.c, src/database.c: Permission of crontabs are checked in
	case we AREN'T using -p option.

2008-03-14  Marcela Mašláňová <mmaslano@redhat.com>

	* src/cron.c: Better testing, when we are closing watches.

2008-03-14  Marcela Mašláňová <mmaslano@redhat.com>

	* configure.ac, src/cron.c, src/cron.h, src/crontab.c,
	src/database.c, src/externs.h, src/funcs.h, src/structs.h: Rewrited
	inotify support.

2008-01-31  Marcela Mašláňová <mmaslano@redhat.com>

	* src/security.c, src/user.c: Using get_default_context() for name =
	NULL instead of getseuserbyname because files created in
	/var/spool/cron hadn't wrong context. rhbz#426704

2008-01-31  Marcela Mašláňová <mmaslano@redhat.com>

	* .gitignore, Makefile.am, crond.pam, man/bitstring.3, man/cron.8,
	man/crontab.1, man/crontab.5, pam/crond: Stepan Kasal: create pam's
	own directory for pam configure. Create correct man pages in man
	directory. Add .gitignore file.

2008-01-30  Marcela Mašláňová <mmaslano@redhat.com>

	* Makefile.am, config.h, config.h.in, configure.ac,
	man/Makefile.am, man/bitstring.3.in, man/cron.8.in, man/crond.8.in,
	man/crontab.1.in, man/crontab.5.in, src/.deps/cron.Po,
	src/.deps/crontab.Po, src/.deps/database.Po, src/.deps/debug.Po,
	src/.deps/do_command.Po, src/.deps/entry.Po, src/.deps/env.Po,
	src/.deps/job.Po, src/.deps/misc.Po, src/.deps/popen.Po,
	src/.deps/pw_dup.Po, src/.deps/security.Po, src/.deps/user.Po,
	src/Makefile.am, src/cron.c, src/crontab.c, src/database.c,
	src/do_command.c, src/entry.c, src/env.c, src/job.c, src/misc.c,
	src/popen.c, src/pw_dup.c, src/security.c, src/user.c, stamp-h1: 
	Added patch from Stepan Kasal, which fixed all autotools issues.
	Also the pam's configure file is now installed directly into correct
	path, if it's configure runned with pam.

2008-01-17  Marcela Mašláňová <mmaslano@redhat.com>

	* CHANGES, COPYING, ChangeLog, INSTALL, LICENSE, Makefile,
	Makefile.am, Makefile.in, NEWS, README, aclocal.m4,
	autom4te.cache/output.0, autom4te.cache/output.1,
	autom4te.cache/requests, autom4te.cache/traces.0,
	autom4te.cache/traces.1, config.guess, config.h, config.log,
	config.status, config.sub, configure, configure.ac, cronie.init,
	depcomp, install-sh, man/Makefile, man/Makefile.am,
	man/Makefile.in, man/bitstring.3, man/cron.8, man/crond.8,
	man/crontab.1, man/crontab.5, missing, src/Makefile,
	src/Makefile.am, src/Makefile.in, vixie-cron.init: Cleaning git from
	unnecessary files, which were generated from autotools. Add files or
	rename according to autotools custom practice.  There were also
	alternation of configure and makefiles.

2008-01-09  Marcela Maslanova <marca@caladan.englab.brq.redhat.com>

	* Makefile, config.h, config.log, config.status, man/Makefile,
	man/bitstring.3, man/cron.8, man/crontab.1, man/crontab.5,
	src/.deps/cron.Po, src/.deps/crontab.Po, src/.deps/database.Po,
	src/.deps/debug.Po, src/.deps/do_command.Po, src/.deps/entry.Po,
	src/.deps/env.Po, src/.deps/job.Po, src/.deps/misc.Po,
	src/.deps/popen.Po, src/.deps/pw_dup.Po, src/.deps/security.Po,
	src/.deps/user.Po, src/Makefile: Add missing files generated after
	running ./configure

2008-01-09  Marcela Maslanova <marca@caladan.englab.brq.redhat.com>

	* CHANGES: In CHANGES could be found git-log with last changes.

2008-01-09  Marcela Maslanova <marca@caladan.englab.brq.redhat.com>

	* Makefile.in, aclocal.m4, autom4te.cache/output.0,
	autom4te.cache/output.1, autom4te.cache/requests,
	autom4te.cache/traces.0, autom4te.cache/traces.1, config.guess,
	config.sub, configure, depcomp, install-sh, man/Makefile.in,
	missing, src/Makefile.in: Now really add all files generated by
	autotools.

2008-01-09  Marcela Maslanova <marca@caladan.englab.brq.redhat.com>

	* config.h.in: Add binary configure.

2008-01-03  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* vixie-cron.spec: Use changelog instead of spec.

2007-11-30  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* configure.ac: Don't set up MAIL_DATE, because if the user doesn't
	use sendmail, then he has incorrect time format.

2007-11-19  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* vixie-cron.spec: Upload spec file with fixed bcond macro.

2007-11-12  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* man/cron.8.in, man/crond.8.in, man/crontab.5.in: Man pages are
	updated for time zone and some small changes.

2007-11-12  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* src/cron.c, src/misc.c: Time zones are now supported. Setting in
	cron table CRON_TZ=SomeTimeZone does jobs in this time zone. There
	was problem with syslog, because it print local time into log only,
	when I remove ifdef parts from misc.c. With ifdef parts print out
	the time of 'highest' time zone, which could be bug of rsyslog.

2007-11-12  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* configure.ac: In configure was incorrect path for sendmail. The
	error occured only when sendmail wasn't set up like default MTA.

2007-11-05  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* src/security.c: Opening credentials is really needed for cron
	jobs, but not for crontab. Crontab doesn't use credentials from file
	security.c so we can leave it as it was.

2007-10-30  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* configure.ac: Change version of cron in configure.

2007-10-29  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* vixie-cron.spec: Update spec file - new bcond macro.

2007-10-29  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* src/popen.c: Some cron jobs failed without error message. If the
	job had too "big" output and no mail client set, then only a part
	from job was done. The reason was pipe, which has restricted size.
	rh bugzilla #247228

2007-10-03  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* LICENSE: The file LICENSE is used instead of COPYING.

2007-10-03  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* vixie-cron.spec: Add spec file from rpm package, because there is
	changelog.

2007-10-03  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* COPYING, ChangeLog, INSTALL, Makefile.am, NEWS, README,
	configure.ac, doc/CHANGES, doc/CONVERSION, doc/FEATURES,
	doc/INSTALL, doc/MAIL, doc/Makefile.am, doc/README, doc/THANKS,
	src/Makefile.am: Deleting and modyfing files with license etc. The
	compilation with selinux and audit is optional.

2007-10-02  Marcela Maslanova <marca@dhcp-lab-135.englab.brq.redhat.com>

	* src/user.c: The jobs in RH_CROND_DIR weren't syntactically
	checked. Also SYSCRON wasn't checked. The problem is reported into
	log.

2007-08-28  Marcela Mašláňová <marca@arrakis.(none)>

	* vixie-cron.init: Fix reading arguments from configure file.

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* src/security.c: Commented out cron_open_pam_session, it's unused.
	Signed-off-by: Tomas Janousek <tjanouse@redhat.com>

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* src/security.c: Protect the call to setexeccon with WITH_SELINUX.
	Signed-off-by: Tomas Janousek <tjanouse@redhat.com>

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* src/misc.c: Compile fix in misc.c.  (I have no f*cking idea why do
	I do this change now...)  Signed-off-by: Tomas Janousek
	<tjanouse@redhat.com>

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* src/crontab.c, src/funcs.h: Kill a few warnings.  Signed-off-by:
	Tomas Janousek <tjanouse@redhat.com>

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* config.h.in, configure.ac: Fix the MAILARG and MAILFMT definitions
	and regenerate config.h.in.  Signed-off-by: Tomas Janousek
	<tjanouse@redhat.com>

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* configure.ac, src/security.c: Move #define _GNU_SOURCE from
	security.c to CFLAGS.  (it's needed for HAVE_SELINUX as well)
	Signed-off-by: Tomas Janousek <tjanouse@redhat.com>

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* src/pathnames.h: Don't define SYSLOG in pathnames.h.  It's in
	configure.ac and gets defined in config.h.  Signed-off-by: Tomas
	Janousek <tjanouse@redhat.com>

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* configure.ac: CRON_GROUP shall not be defined at all.  (also
	filled in a sensible default in case someone enables it again)
	Signed-off-by: Tomas Janousek <tjanouse@redhat.com>

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* src/Makefile.am: Added -laudit to LDADD.  Signed-off-by: Tomas
	Janousek <tjanouse@redhat.com>

2007-08-27  mmaslano <mmaslano@redhat.com>

	* configure.ac, src/cron.c, src/cron.h: Version of cron is used from
	configure.

2007-08-27  mmaslano <mmaslano@redhat.com>

	* configure.ac: Correct setting of path to mail program.

2007-08-27  mmaslano <mmaslano@redhat.com>

	* src/config.h, src/cron.h, src/pw_dup.c: Use config.h generated by
	autotools.

2007-08-27  mmaslano <mmaslano@redhat.com>

	* src/security.c: Added missing #ifdef WITH_PAM.

2007-08-27  mmaslano <mmaslano@redhat.com>

	* src/funcs.h: Correct definition of cron_popen in .h file.

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* src/crontab.c: Added missing #ifdef WITH_PAM.  Signed-off-by:
	Tomas Janousek <tjanouse@redhat.com>

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* src/funcs.h, src/security.c: Make
	cron_restore_default_security_context return void.  Signed-off-by:
	Tomas Janousek <tjanouse@redhat.com>

2007-08-27  Tomas Janousek <tjanouse@redhat.com>

	* src/misc.c: Revert "System table wasn't sometimes checked for
	changes."  This reverts commit
	b18c0c9a01bef691c7b696709cd2f9736ba98a82.  Signed-off-by: Tomas
	Janousek <tjanouse@redhat.com>

2007-08-24  mmaslano <mmaslano@redhat.com>

	* src/popen.c: rhbz#247228 cron jobs fail semi-randomly if sendmail
	(or other mail)  isn't set. The jobs aren't "sometimes" run, because
	output, which has to be sent isn't set and the stdin pipe, which is
	used haven't enough capacity. The problem is at least reported in
	log.

2007-08-24  mmaslano <mmaslano@redhat.com>

	* man/crond.8.in, man/crontab.1.in, man/crontab.5.in: Add crond.8
	(the same as cron.8) manual page  and other man pages were updated.


2007-08-24  mmaslano <mmaslano@redhat.com>

	* src/funcs.h: Change definiton from popen.c in header file.

2007-08-24  mmaslano <mmaslano@redhat.com>

	* src/bitstring.h, src/popen.c: For the same license for whole cron,
	I've removed two  files and found almost the same with correct
	license.

2007-08-24  mmaslano <mmaslano@redhat.com>

	* AUTHORS, CHANGES, CONVERSION, COPYING, ChangeLog, FEATURES,
	INSTALL, MAIL, Makefile, Makefile.am, NEWS, README, THANKS,
	bitstring.3, bitstring.h, config.h, config.h.in, configure.ac,
	cron.8, cron.c, cron.h, crond.sysconfig, crontab.1, crontab.5,
	crontab.c, database.c, do_command.c, doc/CHANGES, doc/CONVERSION,
	doc/FEATURES, doc/INSTALL, doc/MAIL, doc/Makefile.am, doc/README,
	doc/THANKS, entry.c, env.c, externs.h, funcs.h, globals.h, job.c,
	macros.h, man/Makefile.am, man/bitstring.3.in, man/cron.8.in,
	man/crontab.1.in, man/crontab.5.in, misc.c, pathnames.h, popen.c,
	putman.sh, pw_dup.c, security.c, src/Makefile.am, src/bitstring.h,
	src/config.h, src/cron.c, src/cron.h, src/crontab.c,
	src/database.c, src/do_command.c, src/entry.c, src/env.c,
	src/externs.h, src/funcs.h, src/globals.h, src/job.c, src/macros.h,
	src/misc.c, src/pathnames.h, src/popen.c, src/pw_dup.c,
	src/security.c, src/structs.h, src/user.c, stamp-h1, structs.h,
	user.c, vixie-cron.init: Cron source was ready for merge with
	patches. After the merge  I used autotools (files were copied to new
	dirs and configure.ac and Makefile.am were written).

2007-08-24  mmaslano <mmaslano@redhat.com>

	* cron.h, crontab.c, do_command.c, security.c: Pam authentication
	wasn't used wise. User's crontab  didn't use pam and functions,
	which were for pam opening etc. were incorrect (wrong credetials).

2007-08-24  mmaslano <mmaslano@redhat.com>

	* crontab.1, security.c: Checking homedir is last, because we need
	at first set up gid and uid.

2007-08-24  mmaslano <mmaslano@redhat.com>

	* crontab.c: It's possible to use your own tmp dir. Before was /tmp
	hardwired.

2007-08-24  mmaslano <mmaslano@redhat.com>

	* crontab.5: System table in manual page is mentioned.

2007-08-24  mmaslano <mmaslano@redhat.com>

	* database.c: Hard links on system table break doing jobs.

2007-08-24  mmaslano <mmaslano@redhat.com>

	* misc.c: System table wasn't sometimes checked for changes.

2007-08-24  mmaslano <mmaslano@redhat.com>

	* security.c: Audit: new auditing message is print, when the user
	isn't allowed  to use mls range. Job wasn't runned without warning
	message.

2007-08-24  mmaslano <mmaslano@redhat.com>

	* misc.c: Because there was typo (- instead of +) jobs wasn't runned
	after new year.

2007-08-24  mmaslano <mmaslano@redhat.com>

	* cron.8, crontab.1, crontab.5: Errors in manual was fixed and mls
	range was mentioned.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* cron.c, database.c: Force reload of database when SIGGUP is
	received. max_mtime uses dir_name instead of SPOOL_DIR now. (which
	caused a bug preventing correct detection of changes in
	RH_CROND_DIR)  (comment updated by <tjanouse@redhat.com>)

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c, do_command.c, funcs.h, security.c: Selinux ranges: for
	every selinux operation are now checked  the ranges of user. Now is
	set not only context for user, but even ranges(enabled selinux or
	selinux in mls mode).

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c: It's possible to change file without changing mtime of
	file.  So we're stat'ing files for the changes of files. The
	detection of not_a_crontab files was added: files started with dot
	aren't crontabs etc.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crond.pam: pam.limits.so was substitued by system-auth (pam
	progress).

2007-08-17  mmaslano <mmaslano@redhat.com>

	* security.c: Part with_selinux now include even the testing of
	linux context.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* cron.c: Loading database before reaping the child take up time of
	running the jobs.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* do_command.c: The Auto-Submitted header is defined (and suggested
	by) RFC3834.  Added into mail header: 'Auto-Submitted:
	auto-generated'

2007-08-17  mmaslano <mmaslano@redhat.com>

	* cron.8: Fix typo in man pages.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* database.c: It's possible to change file without changing mtime of
	file.  So we're stat'ing files for the changes of files. The
	detection of not_a_crontab files was added: files started with dot
	aren't crontabs etc.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.1, crontab.5, crontab.c, funcs.h, security.c: Selinux:
	option -s added. Header from crontab was removed and  now is print
	into crontab the SELINUX_ROLE_TYPE which specify the permission of
	user. With mls could one user run some jobs with different roles and
	security level.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* Makefile, security.c, structs.h: Into with_selinux and with_pam
	part was added variables  used only there. In Makefile are libs set
	by variables.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* cron.c, crontab.5, do_command.c, externs.h, globals.h: Now is
	possible to use different character encodings for mailed cron job
	output by  setting the CONTENT_TYPE and CONTENT_TRANSFER_ENCODING
	variables in crontabs, to the correct values of the mail headers of
	those names.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crond.pam: Module pam_limit.so was added to default configuration.


2007-08-17  mmaslano <mmaslano@redhat.com>

	* security.c: Fixing "security": minutely job are made realy only
	one time per  minute. If the job is delayed into next minute, then
	it's skipped for this minute.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* Makefile, crontab.c, do_command.c, funcs.h, popen.c, security.c,
	user.c: The security.c file was filled with selinux and pam often
	used functions, which were removed from other files.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* cron.8, cron.c, do_command.c, globals.h: Option -m was added: it's
	possible to use something else then sendmail.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* Makefile, misc.c: Now is cron with audit. Complaining about
	denying users.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c, do_command.c, env.c, misc.c, pw_dup.c: The return value
	were added because of too many warning messages  from compiler. Also
	the variables were initialized.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* do_command.c: 'Build enviroment' is set in pam section for better
	security.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* config.h: Comments were changed.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* user.c: Selinux: Instead of getting context and then the username
	is  used function getuserbyname.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c: Too many flags was set for lstating crontab. Time of
	change is  checked and uids for reading new crontab are ok.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* database.c, funcs.h, structs.h, user.c: List corruption when items
	are removed from /etc/cron.d.  Variable tabname is filled with file
	or NULL and checked when crontab is changed.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crond.pam: Crond.pam was changed according to pam modules.  The
	pam_limits.so could be used.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c: lstat instead of stat can stat even symlink itself, not
	the file  that it refers to.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* macros.h: Redefined limits of macros.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* do_command.c: If fork fails, pam has to close session.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c: fix of bug rhbz#154065: crontab should not use
	waitpid(...,WUNTRACED)  and stop itself if its child is stopped

2007-08-17  mmaslano <mmaslano@redhat.com>

	* do_command.c: PAM hadn't closed session.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* do_command.c, user.c: Selinux doesn't segfault, because of:
	permissive mode returns 0  and selinux enabled is also check
	context.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* cron.c, do_command.c, globals.h: Cron validate the recipient only
	when CRON_VALIDATE_MAILRCPTS isn't null. Validating of email
	recipient is default off.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* do_command.c: Set item in pam - "cron".

2007-08-17  mmaslano <mmaslano@redhat.com>

	* do_command.c, misc.c, pw_dup.c: Initialize some important
	variables.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* cron.8, cron.c, database.c, globals.h: Add -p option for crontab.
	Without the -p option /etc/crontab must not be writable by any user
	other than root, no crontab files may be links, or linked to by any
	other file, and no crontab files may be executable, or be writable
	by any user other than their owner

2007-08-17  mmaslano <mmaslano@redhat.com>

	* Makefile, crontab.c: Fix for ppc: int ch='\0' is initialized.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c: Don't read the header of crontab.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* misc.c: For setegid are used saved gid instead of getgid().  Now
	are swaped back the correct gid.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* misc.c: Allow root's crontab (check with getuid).

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c: According to changes in selinux
	selinux_check_passwd_access  is now enough for examinitaion of
	user's password.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* user.c: Context in selinux is now correctly undone.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* cron.8, crontab.5, database.c: /etc/crontab is now writable only
	by root. No links on this file are allowed.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.1, crontab.c: Add -i option to crontab, which print prompt
	before removing crontab.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.5: Nicknames were mentioned in man pages (@yearly,
	@hourly, etc).

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c: Crontab is stat instead of fstat and crontab is
	reopened for reading new stdin. This change should: Allowed editors
	such as 'gedit' which do not modify original file, but which
	rename(2) a temp file to original, to be used by crontab -e (bug
	129170).

2007-08-17  mmaslano <mmaslano@redhat.com>

	* do_command.c: In lower version of pam was re-open log needed
	(rhel-4 and lower).

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crond.pam: Change in pam configuration file (auth sufficient is
	now used).

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c, user.c: Selinux for crontab: checking users with
	selinux. User is fixed from char to const char.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* database.c: Hardwired 'system' wasn't needed.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* Makefile, crond.pam: Add file crond.pam, which has rules for pam
	sessions. In Makefile is now crond.pam installed.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* Makefile:  Now we compile with pam flags and libs.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* cron.8, cron.h, do_command.c: PAM support was added: open sessions
	and set credentials for users.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* Makefile:  In Makefile are now LIB = -lselinux and -DWITH_SELINUX flags.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* FEATURES, cron.8, crontab.1, crontab.5: Features was added into
	manual.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c: Remove header in user's crontab.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* misc.c: Logs now inform about creating crontabs for users, which
	aren't allowed to use crontab. It's for user in cron.{allow,deny}

2007-08-17  mmaslano <mmaslano@redhat.com>

	* crontab.c: Change behavior to allow crontab to take stdin with no
	'-'.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* database.c: RH_CROND was added in programme - stating directory.
	In RH_CROND are system crontables.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* misc.c: Use snprintf instead of sprintf.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* do_command.c, popen.c: Use fork instead of vfork.     Add signal:
	Our grandparent is watching for our parent's death by     catching
	SIGCHLD. Meanwhile, our parent will use wait     explicitly and so
	has disabled SIGCHLD. So now it's     time to reset SIGCHLD
	handling.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* cron.h, database.c, do_command.c, funcs.h, structs.h, user.c:  Add first selinux patch. Loading users through selinux scontext.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* config.h: Redefine sendmail options.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* pathnames.h:  Change path names for redhat/fedora system.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* Makefile: Changes in Makefile: flags, -pie option, permission and
	installation paths for redhat/fedora system.

2007-08-17  mmaslano <mmaslano@redhat.com>

	* Source files of vixie-cron-4.1.

